Bug 806020 - when creating host failed , CLI doesn't reflect it to the user
when creating host failed , CLI doesn't reflect it to the user
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-engine-api (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Pasternak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 13:19 EDT by Avihai Shoham
Modified: 2014-01-12 19:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-26 10:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-03-22 13:19:10 EDT
i created host which got into Non-Operationa state immediate after executing the command via CLI  .
the user which executed the command doesn't aware of it and he believes the command succeed

in general we need that CLI will reply with command execution state (success, failed...etc')
we can grub this info from BE logs.


i found that other CLI commands reflect the immediate/correct  status 


the below command was failed .
i had two different errors where it failed and didn't get the correct state

[oVirt shell (connected)]# create host --name camel-vdsb --address "10.35.116.2"  --root_password qum5net

id                           : a3e71fb8-743b-11e1-9134-6fb6fe41ce02
name                         : camel-vdsb
address                      : 10.35.116.2
cluster-id                   : 99408929-82cf-4dc7-a532-9d998063fa95
cpu-speed                    : 0.0
ksm-enabled                  : False
memory                       : 0
port                         : 54321
power_management-enabled     : False
status-state                 : unassigned
storage_manager-priority     : 5
storage_manager-valueOf      : false
summary-total                : 0
transparent_hugepages-enabled: False
type                         : rhel

---------------------------------------------------------------

(first err )
2012-03-22 18:27:21,361 INFO  [org.ovirt.engine.core.bll.SetNonOperationalVdsCommand] (QuartzScheduler_Worker-64) [3b3e0204] Host gold-vdsb is set to Non-Operational, it is missing the following networks: ovirtmgmt, 

(second err)
2012-03-22 19:00:06,797 ERROR [org.ovirt.engine.core.bll.VdsInstaller] (pool-5-thread-9) [5990054a] Installation of 10.35.116.2 has failed. Failure details: Upload failed. File: /usr/share/engine/backend/manager/conf/vds_installer.py not exist. (Stage: Upload Installation script to Host)



Expected results:

every command that executed via CLI return with the correct state.
Comment 1 Michael Pasternak 2012-03-26 10:54:51 EDT
"Non-Operational" status of the host is not a add-host failure, 
but the state of the host after you have added it to the system, using 
logs you could determinate what caused this state and fix this,

also no application determinates the status of the command 'by the logs',
each client application talk to business logic and if this unit answers
that action was accomplished successfully, - action is succeeded from the
client PoV.

Note You need to log in before you can comment on or make changes to this bug.